Waiting for engine...
Skip to main content

Boomi API Control Plane REST API (MCP Registry) - Server Versions

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Server Versions

Manage MCP server versions in the catalog and publish to external registries. Requires JWT issued by Platform in the Authorization header.

Update an existing server version following the Official MCP Registry API specification

Update an existing server version in server catalog for the specified server, following the Official MCP Registry API specification. Version and publication date update is not allowed. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve or update (for example, 1.0.0).

Request Body schema: application/json
required
description
required
string

Detailed description of the server's functionality

version
required
string [ 0 .. 255 ] characters

Version string (e.g., 1.0.0)

isPublic
boolean

Whether this version is public

isPublishedToDevPortal
boolean

Whether this version is published to the dev portal

status
string [ 0 .. 50 ] characters
Enum: "active" "deprecated" "deleted"

Status of the version

statusMessage
string

Optional message providing context for the current status. Not accepted when status is 'active'

publishedAt
string <date-time>

Timestamp when this version was published

title
string [ 0 .. 255 ] characters

Human-readable title of the server

websiteUrl
string [ 0 .. 2048 ] characters

URL to the server's website or documentation

repositoryUrl
string [ 0 .. 2048 ] characters

URL to the server's source code repository

repositorySource
string [ 0 .. 50 ] characters

Source of the repository (e.g., github, gitlab)

repositoryId
string [ 0 .. 255 ] characters

Repository identifier (e.g., owner/repo)

repositorySubfolder
string^[a-zA-Z0-9._-]+([/][a-zA-Z0-9._-]+)*$

Subfolder relative path from repository root to the server location

schemaUrl
string

URL to the server's JSON schema definition

icons
string

JSON string containing icon URLs for different sizes

packages
string

JSON string containing package information

remotes
string

JSON string containing remote server information

serverJson
string

JSON string containing server configuration and metadata

Responses

Response Schema: application/json
object (ServerResponseMeta)

Registry metadata for a server version response

object (ServerJSON)

Schema for a static representation of an MCP server. Used in various contexts related to discovery, installation, and configuration.

Request samples

Content type
application/json
{
  • "version": "1.0.0",
  • "isPublic": true,
  • "isPublishedToDevPortal": false,
  • "status": "active",
  • "statusMessage": "string",
  • "publishedAt": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "title": "string",
  • "websiteUrl": "string",
  • "repositoryUrl": "string",
  • "repositorySource": "string",
  • "repositoryId": "string",
  • "repositorySubfolder": "string",
  • "schemaUrl": "string",
  • "icons": "string",
  • "packages": "string",
  • "remotes": "string",
  • "serverJson": "string"
}

Response samples

Content type
application/json
{
  • "_meta": {
    • "com.boomi.registry/official": {
      },
    • "additionalProperties": {
      }
    },
  • "server": {
    • "name": "io.github.user/weather",
    • "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
    • "version": "1.0.2",
    • "title": "Weather API",
    • "icons": [],
    • "packages": { },
    • "remotes": { },
    • "repository": {},
    • "_meta": {
      }
    }
}

Delete a server version from the catalog and all sub-registries following the Official MCP Registry API specification

For servers that were manually created or imported from external registries such as the Official MCP Registry, the specified server version is soft-deleted, and all registry associations for servers are deleted. For servers that were imported from Boomi MCP Registry, the specified version from the catalog and all sub-registries are deleted.Returns 204 if the version doesn't exist or is already deleted. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve or update (for example, 1.0.0).

Responses

Update an existing server version in the catalog

Update an existing server version in server catalog for the specified server. Version and publication date update is not allowed. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

Request Body schema: application/json
required
description
required
string

Detailed description of the server's functionality

version
required
string [ 0 .. 255 ] characters

Version string (e.g., 1.0.0)

isPublic
boolean

Whether this version is public

isPublishedToDevPortal
boolean

Whether this version is published to the dev portal

status
string [ 0 .. 50 ] characters
Enum: "active" "deprecated" "deleted"

Status of the version

statusMessage
string

Optional message providing context for the current status. Not accepted when status is 'active'

publishedAt
string <date-time>

Timestamp when this version was published

title
string [ 0 .. 255 ] characters

Human-readable title of the server

websiteUrl
string [ 0 .. 2048 ] characters

URL to the server's website or documentation

repositoryUrl
string [ 0 .. 2048 ] characters

URL to the server's source code repository

repositorySource
string [ 0 .. 50 ] characters

Source of the repository (e.g., github, gitlab)

repositoryId
string [ 0 .. 255 ] characters

Repository identifier (e.g., owner/repo)

repositorySubfolder
string^[a-zA-Z0-9._-]+([/][a-zA-Z0-9._-]+)*$

Subfolder relative path from repository root to the server location

schemaUrl
string

URL to the server's JSON schema definition

icons
string

JSON string containing icon URLs for different sizes

packages
string

JSON string containing package information

remotes
string

JSON string containing remote server information

serverJson
string

JSON string containing server configuration and metadata

Responses

Response Schema: application/json
description
required
string

Detailed description of the server's functionality

version
required
string [ 0 .. 255 ] characters

Version string (e.g., 1.0.0)

isPublic
boolean

Whether this version is public

isPublishedToDevPortal
boolean

Whether this version is published to the dev portal

status
string [ 0 .. 50 ] characters
Enum: "active" "deprecated" "deleted"

Status of the version

statusMessage
string

Optional message providing context for the current status. Not accepted when status is 'active'

statusChangedAt
string <date-time>

Timestamp when the status was last changed

publishedAt
string <date-time>

Timestamp when this version was published

title
string [ 0 .. 255 ] characters

Human-readable title of the server

websiteUrl
string [ 0 .. 2048 ] characters

URL to the server's website or documentation

repositoryUrl
string [ 0 .. 2048 ] characters

URL to the server's source code repository

repositorySource
string [ 0 .. 50 ] characters

Source of the repository (e.g., github, gitlab)

repositoryId
string [ 0 .. 255 ] characters

Repository identifier (e.g., owner/repo)

repositorySubfolder
string^[a-zA-Z0-9._-]+([/][a-zA-Z0-9._-]+)*$

Subfolder relative path from repository root to the server location

schemaUrl
string

URL to the server's JSON schema definition

icons
string

JSON string containing icon URLs for different sizes

packages
string

JSON string containing package information

remotes
string

JSON string containing remote server information

serverJson
string

JSON string containing server configuration and metadata

createdAt
string <date-time>

Timestamp when the version was created

updatedAt
string <date-time>

Timestamp when the version was last updated

isLatest
boolean

Whether this is the latest version in the registry

serverName
string

Server name

toolCount
integer <int32>

Number of tools successfully fetched from the server's remote url

Request samples

Content type
application/json
{
  • "version": "1.0.0",
  • "isPublic": true,
  • "isPublishedToDevPortal": false,
  • "status": "active",
  • "statusMessage": "string",
  • "publishedAt": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "title": "string",
  • "websiteUrl": "string",
  • "repositoryUrl": "string",
  • "repositorySource": "string",
  • "repositoryId": "string",
  • "repositorySubfolder": "string",
  • "schemaUrl": "string",
  • "icons": "string",
  • "packages": "string",
  • "remotes": "string",
  • "serverJson": "string"
}

Response samples

Content type
application/json
{
  • "version": "1.0.0",
  • "isPublic": true,
  • "isPublishedToDevPortal": false,
  • "status": "active",
  • "statusMessage": "string",
  • "statusChangedAt": "2019-08-24T14:15:22Z",
  • "publishedAt": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "title": "string",
  • "websiteUrl": "string",
  • "repositoryUrl": "string",
  • "repositorySource": "string",
  • "repositoryId": "string",
  • "repositorySubfolder": "string",
  • "schemaUrl": "string",
  • "icons": "string",
  • "packages": "string",
  • "remotes": "string",
  • "serverJson": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z",
  • "isLatest": true,
  • "serverName": "string",
  • "toolCount": 0
}

Create a new server version in the server catalog

Create a new server version for the specified server in server catalog. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

Request Body schema: application/json
required
description
required
string

Detailed description of the server's functionality

version
required
string [ 0 .. 255 ] characters

Version string (e.g., 1.0.0)

isPublic
boolean

Whether this version is public

isPublishedToDevPortal
boolean

Whether this version is published to the dev portal

status
string [ 0 .. 50 ] characters
Enum: "active" "deprecated" "deleted"

Status of the version

statusMessage
string

Optional message providing context for the current status. Not accepted when status is 'active'

publishedAt
string <date-time>

Timestamp when this version was published

title
string [ 0 .. 255 ] characters

Human-readable title of the server

websiteUrl
string [ 0 .. 2048 ] characters

URL to the server's website or documentation

repositoryUrl
string [ 0 .. 2048 ] characters

URL to the server's source code repository

repositorySource
string [ 0 .. 50 ] characters

Source of the repository (e.g., github, gitlab)

repositoryId
string [ 0 .. 255 ] characters

Repository identifier (e.g., owner/repo)

repositorySubfolder
string^[a-zA-Z0-9._-]+([/][a-zA-Z0-9._-]+)*$

Subfolder relative path from repository root to the server location

schemaUrl
string

URL to the server's JSON schema definition

icons
string

JSON string containing icon URLs for different sizes

packages
string

JSON string containing package information

remotes
string

JSON string containing remote server information

serverJson
string

JSON string containing server configuration and metadata

Responses

Request samples

Content type
application/json
{
  • "version": "1.0.0",
  • "isPublic": true,
  • "isPublishedToDevPortal": false,
  • "status": "active",
  • "statusMessage": "string",
  • "publishedAt": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "title": "string",
  • "websiteUrl": "string",
  • "repositoryUrl": "string",
  • "repositorySource": "string",
  • "repositoryId": "string",
  • "repositorySubfolder": "string",
  • "schemaUrl": "string",
  • "icons": "string",
  • "packages": "string",
  • "remotes": "string",
  • "serverJson": "string"
}

Response samples

Content type
application/json
{
  • "version": "1.0.0",
  • "isPublic": true,
  • "isPublishedToDevPortal": false,
  • "status": "active",
  • "statusMessage": "string",
  • "statusChangedAt": "2019-08-24T14:15:22Z",
  • "publishedAt": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "title": "string",
  • "websiteUrl": "string",
  • "repositoryUrl": "string",
  • "repositorySource": "string",
  • "repositoryId": "string",
  • "repositorySubfolder": "string",
  • "schemaUrl": "string",
  • "icons": "string",
  • "packages": "string",
  • "remotes": "string",
  • "serverJson": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z",
  • "isLatest": true,
  • "serverName": "string",
  • "toolCount": 0
}

Force a tool-list and metadata refresh for a server version in a sub-registry

Manually created/edited versions are returned unchanged. Versions imported from an external MCP registry are re-imported and have their tools re-fetched. All other versions return their already-fetched tools, or attempt a fetch if none are cached yet. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve or update (for example, 1.0.0).

Responses

Response Schema: application/json
object (ServerResponseMeta)

Registry metadata for a server version response

object (ServerJSON)

Schema for a static representation of an MCP server. Used in various contexts related to discovery, installation, and configuration.

Response samples

Content type
application/json
{
  • "_meta": {
    • "com.boomi.registry/official": {
      },
    • "additionalProperties": {
      }
    },
  • "server": {
    • "name": "io.github.user/weather",
    • "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
    • "version": "1.0.2",
    • "title": "Weather API",
    • "icons": [],
    • "packages": { },
    • "remotes": { },
    • "repository": {},
    • "_meta": {
      }
    }
}

Publish a server version to the Official MCP Registry

Publish a specific server version to the Official MCP Registry. Publishing this version to the MCP Registry is permanent. Once published, it will be publicly visible and can no longer be unpublished or edited. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
Request Body schema: application/json
required
serverName
required
string

The server name in namespace/name format

version
required
string

The version string to publish

Responses

Response Schema: application/json
object (ServerResponseMeta)

Registry metadata for a server version response

object (ServerJSON)

Schema for a static representation of an MCP server. Used in various contexts related to discovery, installation, and configuration.

Request samples

Content type
application/json
{
  • "serverName": "boomi/my-server",
  • "version": "1.0.0"
}

Response samples

Content type
application/json
{
  • "_meta": {
    • "com.boomi.registry/official": {
      },
    • "additionalProperties": {
      }
    },
  • "server": {
    • "name": "io.github.user/weather",
    • "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
    • "version": "1.0.2",
    • "title": "Weather API",
    • "icons": [],
    • "packages": { },
    • "remotes": { },
    • "repository": {},
    • "_meta": {
      }
    }
}

Update the lifecycle status of a server version

Set the status (active, deprecated, or deleted) and optional status message for the specified server version in the account's server catalog. Only versions already published to the Official MCP Registry are eligible. A statusMessage is not accepted when status is 'active'. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve or update (for example, 1.0.0).

Request Body schema: application/json
required
status
required
string
Enum: "active" "deprecated" "deleted"

The new lifecycle status

statusMessage
string [ 0 .. 500 ] characters

Optional message providing context for the new status. Not accepted when status is 'active'

Responses

Response Schema: application/json
object (ServerResponseMeta)

Registry metadata for a server version response

object (ServerJSON)

Schema for a static representation of an MCP server. Used in various contexts related to discovery, installation, and configuration.

Request samples

Content type
application/json
{
  • "status": "deprecated",
  • "statusMessage": "string"
}

Response samples

Content type
application/json
{
  • "_meta": {
    • "com.boomi.registry/official": {
      },
    • "additionalProperties": {
      }
    },
  • "server": {
    • "name": "io.github.user/weather",
    • "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
    • "version": "1.0.2",
    • "title": "Weather API",
    • "icons": [],
    • "packages": { },
    • "remotes": { },
    • "repository": {},
    • "_meta": {
      }
    }
}

Update the lifecycle status for all versions of a server

Set the status (active, deprecated, or deleted) and optional status message for every version of the specified server in the account's server catalog. Only versions already published to the Official MCP Registry are eligible. A statusMessage is not accepted when status is 'active'. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

Request Body schema: application/json
required
status
required
string
Enum: "active" "deprecated" "deleted"

The new lifecycle status

statusMessage
string [ 0 .. 500 ] characters

Optional message providing context for the new status. Not accepted when status is 'active'

Responses

Response Schema: application/json
object (PaginationMetadata)
Array of objects (ServerResponse)

Request samples

Content type
application/json
{
  • "status": "deprecated",
  • "statusMessage": "string"
}

Response samples

Content type
application/json
{
  • "metadata": {
    • "offsetStart": 0,
    • "nextCursor": "string",
    • "page": 0,
    • "totalPages": 0,
    • "totalElements": 0,
    • "limit": 0,
    • "count": 0
    },
  • "servers": [
    • {
      }
    ]
}

Update dev portal publish status for a server version

Set or clear the isPublishedToDevPortal flag for the specified server version in the default (catalog) registry. This controls whether the version is visible in the Boomi Developer Portal. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve or update (for example, 1.0.0).

Request Body schema: application/json
required
publishToDevPortal
required
boolean

Whether the server version should be published to the dev portal

Responses

Response Schema: application/json
description
required
string

Detailed description of the server's functionality

version
required
string [ 0 .. 255 ] characters

Version string (e.g., 1.0.0)

isPublic
boolean

Whether this version is public

isPublishedToDevPortal
boolean

Whether this version is published to the dev portal

status
string [ 0 .. 50 ] characters
Enum: "active" "deprecated" "deleted"

Status of the version

statusMessage
string

Optional message providing context for the current status. Not accepted when status is 'active'

statusChangedAt
string <date-time>

Timestamp when the status was last changed

publishedAt
string <date-time>

Timestamp when this version was published

title
string [ 0 .. 255 ] characters

Human-readable title of the server

websiteUrl
string [ 0 .. 2048 ] characters

URL to the server's website or documentation

repositoryUrl
string [ 0 .. 2048 ] characters

URL to the server's source code repository

repositorySource
string [ 0 .. 50 ] characters

Source of the repository (e.g., github, gitlab)

repositoryId
string [ 0 .. 255 ] characters

Repository identifier (e.g., owner/repo)

repositorySubfolder
string^[a-zA-Z0-9._-]+([/][a-zA-Z0-9._-]+)*$

Subfolder relative path from repository root to the server location

schemaUrl
string

URL to the server's JSON schema definition

icons
string

JSON string containing icon URLs for different sizes

packages
string

JSON string containing package information

remotes
string

JSON string containing remote server information

serverJson
string

JSON string containing server configuration and metadata

createdAt
string <date-time>

Timestamp when the version was created

updatedAt
string <date-time>

Timestamp when the version was last updated

isLatest
boolean

Whether this is the latest version in the registry

serverName
string

Server name

toolCount
integer <int32>

Number of tools successfully fetched from the server's remote url

Request samples

Content type
application/json
{
  • "publishToDevPortal": true
}

Response samples

Content type
application/json
{
  • "version": "1.0.0",
  • "isPublic": true,
  • "isPublishedToDevPortal": false,
  • "status": "active",
  • "statusMessage": "string",
  • "statusChangedAt": "2019-08-24T14:15:22Z",
  • "publishedAt": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "title": "string",
  • "websiteUrl": "string",
  • "repositoryUrl": "string",
  • "repositorySource": "string",
  • "repositoryId": "string",
  • "repositorySubfolder": "string",
  • "schemaUrl": "string",
  • "icons": "string",
  • "packages": "string",
  • "remotes": "string",
  • "serverJson": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z",
  • "isLatest": true,
  • "serverName": "string",
  • "toolCount": 0
}

Get a server version from the server catalog

Get a server version from the server catalog for the specified server.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve or update (for example, 1.0.0).

Responses

Response Schema: application/json
description
required
string

Detailed description of the server's functionality

version
required
string [ 0 .. 255 ] characters

Version string (e.g., 1.0.0)

isPublic
boolean

Whether this version is public

isPublishedToDevPortal
boolean

Whether this version is published to the dev portal

status
string [ 0 .. 50 ] characters
Enum: "active" "deprecated" "deleted"

Status of the version

statusMessage
string

Optional message providing context for the current status. Not accepted when status is 'active'

statusChangedAt
string <date-time>

Timestamp when the status was last changed

publishedAt
string <date-time>

Timestamp when this version was published

title
string [ 0 .. 255 ] characters

Human-readable title of the server

websiteUrl
string [ 0 .. 2048 ] characters

URL to the server's website or documentation

repositoryUrl
string [ 0 .. 2048 ] characters

URL to the server's source code repository

repositorySource
string [ 0 .. 50 ] characters

Source of the repository (e.g., github, gitlab)

repositoryId
string [ 0 .. 255 ] characters

Repository identifier (e.g., owner/repo)

repositorySubfolder
string^[a-zA-Z0-9._-]+([/][a-zA-Z0-9._-]+)*$

Subfolder relative path from repository root to the server location

schemaUrl
string

URL to the server's JSON schema definition

icons
string

JSON string containing icon URLs for different sizes

packages
string

JSON string containing package information

remotes
string

JSON string containing remote server information

serverJson
string

JSON string containing server configuration and metadata

createdAt
string <date-time>

Timestamp when the version was created

updatedAt
string <date-time>

Timestamp when the version was last updated

isLatest
boolean

Whether this is the latest version in the registry

serverName
string

Server name

toolCount
integer <int32>

Number of tools successfully fetched from the server's remote url

Response samples

Content type
application/json
{
  • "version": "1.0.0",
  • "isPublic": true,
  • "isPublishedToDevPortal": false,
  • "status": "active",
  • "statusMessage": "string",
  • "statusChangedAt": "2019-08-24T14:15:22Z",
  • "publishedAt": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "title": "string",
  • "websiteUrl": "string",
  • "repositoryUrl": "string",
  • "repositorySource": "string",
  • "repositoryId": "string",
  • "repositorySubfolder": "string",
  • "schemaUrl": "string",
  • "icons": "string",
  • "packages": "string",
  • "remotes": "string",
  • "serverJson": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z",
  • "isLatest": true,
  • "serverName": "string",
  • "toolCount": 0
}

Delete a server version from the catalog and all sub-registries

For servers that were manually created or imported from external registries such as the Official MCP Registry, the specified server version is soft-deleted, and all registry associations for servers are deleted. For servers that were imported from Boomi MCP Registry, the specified version from the catalog and all sub-registries are deleted.Returns 204 if the version doesn't exist or is already deleted. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve or update (for example, 1.0.0).

Responses

Get documents for a specific MCP server version in the server catalog

Get a paginated list of documents, including full content, attached to a specific server version in the account's server catalog. Returns a fixed page size per call; use the returned cursor to continue. Returns an empty list if the server version has no documents.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve or update (for example, 1.0.0).

query Parameters
cursor
string

Responses

Response Schema: application/json
object (PaginationMetadata)
Array of objects (ServerVersionDocDTO)

Response samples

Content type
application/json
{
  • "metadata": {
    • "offsetStart": 0,
    • "nextCursor": "string",
    • "page": 0,
    • "totalPages": 0,
    • "totalElements": 0,
    • "limit": 0,
    • "count": 0
    },
  • "documents": [
    • {
      }
    ]
}

Get a specific document's content for an MCP server version in the server catalog

Get a single document's content by document id.

Authorizations:
bearerAuth
path Parameters
serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve or update (for example, 1.0.0).

docId
required
string <uuid>

Identifier of the document attached to the server version.

Responses

Response Schema: application/json
uuid
string <uuid>

Unique identifier for the document

name
string

Name of the document

type
string

Type of document, e.g., HTML or MARKDOWN

sourceUrl
string

URL where the document's origin/source is

content
string or null

Full document content

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "type": "string",
  • "sourceUrl": "string",
  • "content": "string"
}